Package org.eclipse.graphiti.pattern.mapping.data

# Interface ITextDataMapping

All Superinterfaces:
  `IDataMapping`

All Known Subinterfaces:
  `ILabelDataMapping`

All Known Implementing Classes:
  `LabelDataMapping`, `TextDataMapping`

public interface ITextDataMapping extends IDataMapping
The Interface ITextDataMapping.

## Method Summary

Modifier and Type
Method
Description
`String`
`getText(PictogramLink link)`
Gets the text.

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.data.IDataMapping

`getUpdateWarning`

## Method Details

### getText

String getText(PictogramLink link)
Gets the text.

Parameters:
  `link` - the pictogram link
Returns:
  the text